Bug 220692 - textproc/teckit: Update to 2.5.7
Summary: textproc/teckit: Update to 2.5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 211997
  Show dependency treegraph
 
Reported: 2017-07-12 21:16 UTC by Zsolt Udvari
Modified: 2017-07-27 15:13 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
update to 2.5.7 (2.31 KB, patch)
2017-07-12 21:16 UTC, Zsolt Udvari
uzsolt: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2017-07-12 21:16:58 UTC
Created attachment 184312 [details]
update to 2.5.7

Simple update to 2.5.7.
Use autoreconf, github, pkgconfig.

Needed to texlive update.
Comment 1 Zsolt Udvari 2017-07-12 21:18:21 UTC
Portlint: warn about missing license.
Poudriere testport ok (http://freebsd.uzsolt.hu/logs/textproc/teckit/10amd64-default/teckit-2.5.7.log).
Comment 2 Danilo G. Baio freebsd_committer 2017-07-13 00:53:40 UTC
As suggested by portlint, why not define the license as well?

See this:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/licenses.html

And thank you for this.
Comment 3 Zsolt Udvari 2017-07-13 07:23:07 UTC
I don't know what is the proper license: https://github.com/silnrsi/teckit/blob/master/license/LICENSING.txt
Comment 4 Richard Gallamore freebsd_committer 2017-07-19 20:29:09 UTC
(In reply to Zsolt Udvari from comment #3)
Does not look like a standard license so it is a little more work. The porters handbook that Danilo has an example for non-standard license. Check example 5.18.
Comment 5 Zsolt Udvari 2017-07-20 08:59:04 UTC
So the best solution:
LICENSE= unknown
LICENSE_NAME= unknown
LICENSE_FILE= ..../LICENSING.txt
Is it right?
Comment 6 Kurt Jaeger freebsd_committer 2017-07-27 14:15:57 UTC
testbuilds@work
Comment 7 Kurt Jaeger freebsd_committer 2017-07-27 14:23:35 UTC
As far as I understand license/LICENSING.txt, while some parts are licensend with some dual-license, all of the are also LGPL-2+, so all of them are at least

LGPL21+

so that's what I would declare. If I do not hear different opinions,
that's what I'll set.
Comment 8 commit-hook freebsd_committer 2017-07-27 15:11:59 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 27 15:11:50 UTC 2017
New revision: 446745
URL: https://svnweb.freebsd.org/changeset/ports/446745

Log:
  textproc/teckit: update 2.5.1 -> 2.5.7

  PR:		220692
  Changes:	https://github.com/silnrsi/teckit/releases
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu>
  Reviewed by:	dbaio, ultima
  Approved by:	nikola.lecic@anthesphoria.net (maintainer timeout)

Changes:
  head/textproc/teckit/Makefile
  head/textproc/teckit/distinfo
  head/textproc/teckit/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2017-07-27 15:13:06 UTC
Committed, thanks!